# compiler-public.hxx File Reference

`#include "pqxx/config-public-compiler.h"`
`#include <iterator>`
`#include <cstddef>`

Include dependency graph for compiler-public.hxx:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | PGSTD

## Classes

struct | PGSTD::char_traits< CHAR >
| Work around missing std::char_traits. More...
struct | PGSTD::char_traits< char >
| Work around missing std::char_traits<char>. More...
struct | PGSTD::char_traits< unsigned char >
| Work around missing std::char_traits<unsigned char>. More...

## Defines

#define | PQXX_DEPRECATED
#define | PQXX_TYPENAME typename

## Define Documentation

#define PQXX_DEPRECATED

#define PQXX_TYPENAME typename